---
title: "PUT /_system/users/{guid} - System Users · RUAL Documentation"
description: "Update a system user"
canonical: https://docs.rual.nl/cluster/api/system-users/system-users--guid-put
language: en
---

# PUT /_system/users/{guid}

Update a system user

| Key | Type | Example | Description |
| --- | --- | --- | --- |
| **guid** required | `string` | `"example"` |  |

| Key | Type | Example | Description |
| --- | --- | --- | --- |
| **[authorization](https://docs.rual.nl/cluster/api#token-providing)** required | `string` | `"Bearer access_token"` | Access token |

```
{
  "_meta": {
    "created": 1782166695,
    "entity": 1,
    "guid": "a23575f49d0af385314c1f02280163374297e018a692e5e4ab85eb307ebf6ebc",
    "update_hash": "60e27209fa93063b5605e41605c2722ed428cae0",
    "updated": 1782166695
  },
  "email": "joe@example.com",
  "username": "joe"
}
```

```
{
  "code": 401,
  "error": "INVALID_ACCESS_TOKEN"
}
```

| Status | Error Code | Description |
| --- | --- | --- |
| `401` | `INVALID_ACCESS_TOKEN` | Authentication required or invalid token |

| Permission | Description |
| --- | --- |
| `Bearer token` | Access token required via Authorization header, x-authtoken, x-token, query param, or cookie |
| `users_update` | Required scope: users_update |
